Bug 516972 - Unable to update RHEL 5.2 (gecko-libs is needed by )
Unable to update RHEL 5.2 (gecko-libs is needed by )
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.2
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-12 00:32 EDT by Jon Solanu
Modified: 2014-01-21 01:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 16:42:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jon Solanu 2009-08-12 00:32:40 EDT
Description of problem:
# yum update
Loaded plugins: rhnplugin, security
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
There are unfinished transactions remaining. You mightconsider running yum-complete-transaction first to finish them.
Skipping security plugin, no data
--> Running transaction check
---> Package libxml2.x86_64 0:2.6.26-2.1.2.8 set to be updated
---> Package nspr-devel.x86_64 0:4.7.4-1.el5_3.1 set to be updated
---> Package bind.x86_64 30:9.3.4-10.P1.el5_3.3 set to be updated
---> Package libtiff.i386 0:3.8.2-7.el5_3.4 set to be updated
---> Package glibc-headers.x86_64 0:2.5-34.el5_3.1 set to be updated
---> Package libxml2-devel.x86_64 0:2.6.26-2.1.2.8 set to be updated
---> Package ksh.x86_64 0:20080202-2.el5_3.1 set to be updated
---> Package apr-util.i386 0:1.2.7-7.el5_3.2 set to be updated
---> Package glibc.i686 0:2.5-34.el5_3.1 set to be updated
---> Package firefox.x86_64 0:3.0.12-1.el5_3 set to be updated
---> Package glibc.x86_64 0:2.5-34.el5_3.1 set to be updated
---> Package bind-libs.x86_64 30:9.3.4-10.P1.el5_3.3 set to be updated
---> Package libtiff-devel.x86_64 0:3.8.2-7.el5_3.4 set to be updated
---> Package bind-utils.x86_64 30:9.3.4-10.P1.el5_3.3 set to be updated
---> Package xulrunner.x86_64 0:1.9.0.12-1.el5_3 set to be updated
---> Package nss.i386 0:3.12.3.99.3-1.el5_3.2 set to be updated
---> Package nspr.i386 0:4.7.4-1.el5_3.1 set to be updated
---> Package apr-util.x86_64 0:1.2.7-7.el5_3.2 set to be updated
---> Package libtiff.x86_64 0:3.8.2-7.el5_3.4 set to be updated
---> Package nss-devel.x86_64 0:3.12.3.99.3-1.el5_3.2 set to be updated
---> Package glibc-devel.x86_64 0:2.5-34.el5_3.1 set to be updated
---> Package python.x86_64 0:2.4.3-24.el5_3.6 set to be updated
---> Package xulrunner-devel.x86_64 0:1.9.0.12-1.el5_3 set to be updated
---> Package apr.i386 0:1.2.7-11.el5_3.1 set to be updated
---> Package libtiff-devel.i386 0:3.8.2-7.el5_3.4 set to be updated
---> Package kernel-xen-devel.x86_64 0:2.6.18-128.4.1.el5 set to be installed
---> Package nscd.x86_64 0:2.5-34.el5_3.1 set to be updated
---> Package apr.x86_64 0:1.2.7-11.el5_3.1 set to be updated
---> Package subversion.x86_64 0:1.4.2-4.el5_3.1 set to be updated
---> Package libxml2.i386 0:2.6.26-2.1.2.8 set to be updated
---> Package nss-tools.x86_64 0:3.12.3.99.3-1.el5_3.2 set to be updated
---> Package subversion.i386 0:1.4.2-4.el5_3.1 set to be updated
---> Package xulrunner-devel.i386 0:1.9.0.12-1.el5_3 set to be updated
---> Package kernel-headers.x86_64 0:2.6.18-128.4.1.el5 set to be updated
---> Package bind-chroot.x86_64 30:9.3.4-10.P1.el5_3.3 set to be updated
---> Package nss.x86_64 0:3.12.3.99.3-1.el5_3.2 set to be updated
---> Package glibc-devel.i386 0:2.5-34.el5_3.1 set to be updated
---> Package glibc-common.x86_64 0:2.5-34.el5_3.1 set to be updated
---> Package libxml2-devel.i386 0:2.6.26-2.1.2.8 set to be updated
---> Package xulrunner.i386 0:1.9.0.12-1.el5_3 set to be updated
---> Package libxml2-python.x86_64 0:2.6.26-2.1.2.8 set to be updated
---> Package kernel-xen.x86_64 0:2.6.18-128.4.1.el5 set to be installed
---> Package nspr.x86_64 0:4.7.4-1.el5_3.1 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================================================================================
 Package                                      Arch                               Version                                             Repository                                        Size
============================================================================================================================================================================================
Installing:
 kernel-xen                                   x86_64                             2.6.18-128.4.1.el5                                  rhel-x86_64-server-5                              17 M
 kernel-xen-devel                             x86_64                             2.6.18-128.4.1.el5                                  rhel-x86_64-server-5                             5.1 M
Updating:
 apr                                          i386                               1.2.7-11.el5_3.1                                    rhel-x86_64-server-5                             123 k
 apr                                          x86_64                             1.2.7-11.el5_3.1                                    rhel-x86_64-server-5                             119 k
 apr-util                                     x86_64                             1.2.7-7.el5_3.2                                     rhel-x86_64-server-5                              75 k
 apr-util                                     i386                               1.2.7-7.el5_3.2                                     rhel-x86_64-server-5                              76 k
 bind                                         x86_64                             30:9.3.4-10.P1.el5_3.3                              rhel-x86_64-server-5                             961 k
 bind-chroot                                  x86_64                             30:9.3.4-10.P1.el5_3.3                              rhel-x86_64-server-5                              42 k
 bind-libs                                    x86_64                             30:9.3.4-10.P1.el5_3.3                              rhel-x86_64-server-5                             869 k
 bind-utils                                   x86_64                             30:9.3.4-10.P1.el5_3.3                              rhel-x86_64-server-5                             173 k
 firefox                                      x86_64                             3.0.12-1.el5_3                                      rhel-x86_64-server-5                              12 M
 glibc                                        i686                               2.5-34.el5_3.1                                      rhel-x86_64-server-5                             5.2 M
 glibc                                        x86_64                             2.5-34.el5_3.1                                      rhel-x86_64-server-5                             4.7 M
 glibc-common                                 x86_64                             2.5-34.el5_3.1                                      rhel-x86_64-server-5                              16 M
 glibc-devel                                  x86_64                             2.5-34.el5_3.1                                      rhel-x86_64-server-5                             2.4 M
 glibc-devel                                  i386                               2.5-34.el5_3.1                                      rhel-x86_64-server-5                             2.0 M
 glibc-headers                                x86_64                             2.5-34.el5_3.1                                      rhel-x86_64-server-5                             589 k
 kernel-headers                               x86_64                             2.6.18-128.4.1.el5                                  rhel-x86_64-server-5                             958 k
 ksh                                          x86_64                             20080202-2.el5_3.1                                  rhel-x86_64-server-5                             748 k
 libtiff                                      x86_64                             3.8.2-7.el5_3.4                                     rhel-x86_64-server-5                             312 k
 libtiff                                      i386                               3.8.2-7.el5_3.4                                     rhel-x86_64-server-5                             306 k
 libtiff-devel                                x86_64                             3.8.2-7.el5_3.4                                     rhel-x86_64-server-5                             465 k
 libtiff-devel                                i386                               3.8.2-7.el5_3.4                                     rhel-x86_64-server-5                             465 k
 libxml2                                      i386                               2.6.26-2.1.2.8                                      rhel-x86_64-server-5                             795 k
 libxml2                                      x86_64                             2.6.26-2.1.2.8                                      rhel-x86_64-server-5                             807 k
 libxml2-devel                                i386                               2.6.26-2.1.2.8                                      rhel-x86_64-server-5                             2.1 M
 libxml2-devel                                x86_64                             2.6.26-2.1.2.8                                      rhel-x86_64-server-5                             2.1 M
 libxml2-python                               x86_64                             2.6.26-2.1.2.8                                      rhel-x86_64-server-5                             713 k
 nscd                                         x86_64                             2.5-34.el5_3.1                                      rhel-x86_64-server-5                             161 k
 nspr                                         x86_64                             4.7.4-1.el5_3.1                                     rhel-x86_64-server-5                             118 k
 nspr                                         i386                               4.7.4-1.el5_3.1                                     rhel-x86_64-server-5                             119 k
 nspr-devel                                   x86_64                             4.7.4-1.el5_3.1                                     rhel-x86_64-server-5                             112 k
 nss                                          i386                               3.12.3.99.3-1.el5_3.2                               rhel-x86_64-server-5                             1.0 M
 nss                                          x86_64                             3.12.3.99.3-1.el5_3.2                               rhel-x86_64-server-5                             1.1 M
 nss-devel                                    x86_64                             3.12.3.99.3-1.el5_3.2                               rhel-x86_64-server-5                             228 k
 nss-tools                                    x86_64                             3.12.3.99.3-1.el5_3.2                               rhel-x86_64-server-5                             1.2 M
 python                                       x86_64                             2.4.3-24.el5_3.6                                    rhel-x86_64-server-5                             5.9 M
 subversion                                   i386                               1.4.2-4.el5_3.1                                     rhel-x86_64-server-5                             2.3 M
 subversion                                   x86_64                             1.4.2-4.el5_3.1                                     rhel-x86_64-server-5                             2.4 M
 xulrunner                                    i386                               1.9.0.12-1.el5_3                                    rhel-x86_64-server-5                              10 M
 xulrunner                                    x86_64                             1.9.0.12-1.el5_3                                    rhel-x86_64-server-5                              10 M
 xulrunner-devel                              i386                               1.9.0.12-1.el5_3                                    rhel-x86_64-server-5                             3.5 M
 xulrunner-devel                              x86_64                             1.9.0.12-1.el5_3                                    rhel-x86_64-server-5                             3.5 M

Transaction Summary
============================================================================================================================================================================================
Install      2 Package(s)         
Update      41 Package(s)         
Remove       0 Package(s)         

Total size: 120 M
Total download size: 74 M
Is this ok [y/N]: y
Downloading Packages:
(1/26): bind-chroot-9.3.4-10.P1.el5_3.3.x86_64.rpm                                                                                                                   |  42 kB     00:00     
(2/26): apr-util-1.2.7-7.el5_3.2.x86_64.rpm                                                                                                                          |  75 kB     00:01     
(3/26): apr-util-1.2.7-7.el5_3.2.i386.rpm                                                                                                                            |  76 kB     00:01     
(4/26): apr-1.2.7-11.el5_3.1.x86_64.rpm                                                                                                                              | 119 kB     00:01     
(5/26): apr-1.2.7-11.el5_3.1.i386.rpm                                                                                                                                | 123 kB     00:01     
(6/26): nscd-2.5-34.el5_3.1.x86_64.rpm                                                                                                                               | 161 kB     00:01     
(7/26): bind-utils-9.3.4-10.P1.el5_3.3.x86_64.rpm                                                                                                                    | 173 kB     00:01     
(8/26): glibc-headers-2.5-34.el5_3.1.x86_64.rpm                                                                                                                      | 589 kB     00:02     
(9/26): libxml2-python-2.6.26-2.1.2.8.x86_64.rpm                                                                                                                     | 713 kB     00:02     
(10/26): libxml2-2.6.26-2.1.2.8.i386.rpm                                                                                                                             | 795 kB     00:02     
(11/26): libxml2-2.6.26-2.1.2.8.x86_64.rpm                                                                                                                           | 807 kB     00:02     
(12/26): bind-libs-9.3.4-10.P1.el5_3.3.x86_64.rpm                                                                                                                    | 869 kB     00:03     
(13/26): kernel-headers-2.6.18-128.4.1.el5.x86_64.rpm                                                                                                                | 958 kB     00:02     
(14/26): bind-9.3.4-10.P1.el5_3.3.x86_64.rpm                                                                                                                         | 961 kB     00:02     
(15/26): glibc-devel-2.5-34.el5_3.1.i386.rpm                                                                                                                         | 2.0 MB     00:04     
(16/26): libxml2-devel-2.6.26-2.1.2.8.i386.rpm                                                                                                                       | 2.1 MB     00:05     
(17/26): libxml2-devel-2.6.26-2.1.2.8.x86_64.rpm                                                                                                                     | 2.1 MB     00:06     
(18/26): subversion-1.4.2-4.el5_3.1.i386.rpm                                                                                                                         | 2.3 MB     00:05     
(19/26): subversion-1.4.2-4.el5_3.1.x86_64.rpm                                                                                                                       | 2.4 MB     00:06     
(20/26): glibc-devel-2.5-34.el5_3.1.x86_64.rpm                                                                                                                       | 2.4 MB     00:09     
(21/26): glibc-2.5-34.el5_3.1.x86_64.rpm                                                                                                                             | 4.7 MB     00:12     
(22/26): kernel-xen-devel-2.6.18-128.4.1.el5.x86_64.rpm                                                                                                              | 5.1 MB     00:10     
(23/26): glibc-2.5-34.el5_3.1.i686.rpm                                                                                                                               | 5.2 MB     00:11     
(24/26): python-2.4.3-24.el5_3.6.x86_64.rpm                                                                                                                          | 5.9 MB     00:14     
(25/26): glibc-common-2.5-34.el5_3.1.x86_64.rpm                                                                                                                      |  16 MB     00:38     
(26/26): kernel-xen-2.6.18-128.4.1.el5.x86_64.rpm                                                                                                                    |  17 MB     00:30     
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                       373 kB/s |  74 MB     03:23     
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
gecko-libs is needed by (installed) devhelp-0.12-16.el5.i386
gecko-libs is needed by (installed) nspluginwrapper-0.9.91.5-21.el5.x86_64
gecko-libs is needed by (installed) nspluginwrapper-0.9.91.5-21.el5.i386
gecko-libs is needed by (installed) devhelp-0.12-16.el5.x86_64
gecko-libs is needed by (installed) yelp-2.16.0-18.el5.x86_64
gecko-libs is needed by (installed) devhelp-0.12-16.el5.i386
gecko-libs is needed by (installed) nspluginwrapper-0.9.91.5-21.el5.x86_64
gecko-libs is needed by (installed) nspluginwrapper-0.9.91.5-21.el5.i386
gecko-libs is needed by (installed) devhelp-0.12-16.el5.x86_64
gecko-libs is needed by (installed) yelp-2.16.0-18.el5.x86_64
gecko-libs is needed by (installed) devhelp-0.12-16.el5.i386
gecko-libs is needed by (installed) nspluginwrapper-0.9.91.5-21.el5.x86_64
gecko-libs is needed by (installed) nspluginwrapper-0.9.91.5-21.el5.i386
gecko-libs is needed by (installed) devhelp-0.12-16.el5.x86_64
gecko-libs is needed by (installed) yelp-2.16.0-18.el5.x86_64
gecko-libs is needed by (installed) devhelp-0.12-16.el5.i386
gecko-libs is needed by (installed) nspluginwrapper-0.9.91.5-21.el5.x86_64
gecko-libs is needed by (installed) nspluginwrapper-0.9.91.5-21.el5.i386
gecko-libs is needed by (installed) devhelp-0.12-16.el5.x86_64
gecko-libs is needed by (installed) yelp-2.16.0-18.el5.x86_64
Complete!
(1, ['Please report this error in bugzilla'])


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Login as root
2. yum update
3.
  
Actual results:
Unable to update

Expected results:
Updated packages

Additional info:
Comment 1 Martin Stransky 2009-08-12 03:17:31 EDT
See the line:

There are unfinished transactions remaining. You mightconsider running
yum-complete-transaction first to finish them.

Anyway, gecko-libs is provided by xulrunner package (no by firefox) so ensure you have the latest xulrunner installed. From the log, it was not downloaded by yum.
Comment 2 Matěj Cepl 2009-08-13 09:58:55 EDT
This must be (In reply to comment #1)
> There are unfinished transactions remaining. You mightconsider running
> yum-complete-transaction first to finish them.

Does it make any difference if you complete yum transactions first?

> Anyway, gecko-libs is provided by xulrunner package (no by firefox) so ensure
> you have the latest xulrunner installed. From the log, it was not downloaded by
> yum.  

Otherwise this looks more like a problem in yum. Reassigning.
Comment 3 seth vidal 2009-08-13 10:09:47 EDT
if you don't want to run yum-complete-transactions try running:

package-cleanup --dupes
and
package-cleanup --problems
Comment 4 James Antill 2009-08-13 14:43:56 EDT
Yes, incomplete transactions can cause "weird" behaviour. As Seth says you can do it "by hand" as long as you make sure everything is happy afterwards.

Also this is against 5.2, both yum and rpm have had a lot of bug fixes since 5.2 so it's very possible that the "rpm_check_debug vs depsolve" problem would go away if you update.
Comment 5 James Antill 2009-08-13 14:44:55 EDT
Of course as soon as I say that I realize that the yum in the example isn't the one in 5.2, so what version is it?

Note You need to log in before you can comment on or make changes to this bug.